Bug 175289 - libsvnjavahl-1.so symbolic link broken.
libsvnjavahl-1.so symbolic link broken.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 10:28 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.3-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 18:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2005-12-08 10:28:35 EST
Description of problem:
$ls -al /usr/lib/libsvnjavahl-1.so
lrwxrwxrwx 1 root root 23 Dec  4 11:38 libsvnjavahl-1.so -> libsvnjavahl-1.so.0.0.0
$rpm -qf /usr/lib/libsvnjavahl-1.so
subversion-devel-1.2.3-5

Version-Release number of selected component (if applicable):
1.2.3-5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2005-12-08 10:31:32 EST
The problem being what?  That the symlink should be in the -java subpackage
rather than the -devel subpackage?
Comment 2 sangu 2005-12-08 10:52:08 EST
$ rpm -qa | grep ^subversion
subversion-perl-1.2.3-5
subversion-devel-1.2.3-5
subversion-1.2.3-5

$ sudo rpm -V subversion subversion-perl subversion-devel

No message

$ rpm -qf /usr/lib/libsvnjavahl-1.so
subversion-devel-1.2.3-5

subversion-javal doesn't be installed in my linux box.

$ rpm -qpl subversion-javahl-1.2.3-5.i386.rpm | grep javah
/usr/lib/libsvnjavahl-1.la
/usr/lib/libsvnjavahl-1.so
/usr/lib/libsvnjavahl-1.so.0
/usr/lib/libsvnjavahl-1.so.0.0.0

so, subversion-devel-1.2.3-5 need not have /usr/lib/libsvnjavahl-1.so.
Comment 3 Joe Orton 2005-12-12 18:27:22 EST
Fixed in 1.2.3-6, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.